# RPM Spec file for GGZ Gtk+ Games (Full)
%define name ggz-gtk-games
%define version 0.0.6
%define release 2mdk

Name: %{name}
Summary: GGZ Games for Gtk 1.2
Version: %{version}
Release: %{release}
License: GPL
Group: Games/Other
Source: %name-%version.tar.bz2
URL: http://ggz.sourceforge.net/
BuildRoot: %_tmppath/%{name}-buildroot
BuildRequires: libggz1 >= %{version}-%{release}
BuildRequires: libggz1-devel >= %{version}-%{release}
BuildRequires: libggz-client2 >= %{version}-%{release}
BuildRequires: libggz-client2-devel >= %{version}-%{release}
Requires: libggz1 >= %{version}-%{release}
Requires: libggz-client2 >= %{version}-%{release}

%description
The complete set of Gnu Gaming Zone games for the Gtk 1.2 user interface.
Includes all of the following:
    Chess		Chinese Checkers	Combat
    Connect the Dots	GGZCards		Hastings
    La Pocha		Reversi			Spades
    Tic-Tac-Toe

%prep
%setup

%build
%configure
make


%install
# Create a ggz.modules file so we can make install easily
mkdir -p $RPM_BUILD_ROOT/etc
touch $RPM_BUILD_ROOT/etc/ggz.modules
make DESTDIR=$RPM_BUILD_ROOT install
rm $RPM_BUILD_ROOT/etc/ggz.modules
rmdir $RPM_BUILD_ROOT/etc

# Get a copy of all of our .dsc files
mkdir -p $RPM_BUILD_ROOT/usr/share/ggz/ggz-config
GAMES="chess chinese-checkers combat dots ggzcards hastings
       lapocha reversi spades tictactoe"
for i in $GAMES; do
  cp $i/module.dsc $RPM_BUILD_ROOT/usr/share/ggz/ggz-config/gtk-$i.dsc
done

%clean
# WARNING - Does not test for a stupid BuildRoot
rm -rf $RPM_BUILD_ROOT


%post
# Run ggz-config vs. all installed games
GAMES="chess chinese-checkers combat dots  ggzcards hastings
       lapocha reversi spades tictactoe"
for i in $GAMES; do
  ggz-config --install --modfile=/usr/share/ggz/ggz-config/gtk-$i.dsc --force
done


%preun
# Run ggz-config to uninstall all the games
GAMES="chess chinese-checkers combat dots  ggzcards hastings
       lapocha reversi spades tictactoe"
for i in $GAMES; do
  ggz-config --remove --modfile=/usr/share/ggz/ggz-config/gtk-$i.dsc
done


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.GGZ QuickStart.GGZ TODO

%{_libdir}/ggz

%{_datadir}/ggz/ccheckers
%{_datadir}/ggz/combat
%{_datadir}/ggz/ggz-config

%{_datadir}/locale/de/LC_MESSAGES/chess.mo
%{_datadir}/locale/de/LC_MESSAGES/chinese-checkers.mo
%{_datadir}/locale/de/LC_MESSAGES/combat.mo
%{_datadir}/locale/de/LC_MESSAGES/dots.mo
%{_datadir}/locale/de/LC_MESSAGES/ggzcards.mo
%{_datadir}/locale/de/LC_MESSAGES/hastings.mo
%{_datadir}/locale/de/LC_MESSAGES/lapocha.mo
%{_datadir}/locale/de/LC_MESSAGES/reversi.mo
%{_datadir}/locale/de/LC_MESSAGES/spades.mo
%{_datadir}/locale/de/LC_MESSAGES/tictactoe.mo
%{_datadir}/locale/es_AR/LC_MESSAGES/ggzcards.mo
%{_datadir}/locale/es_AR/LC_MESSAGES/hastings.mo
%{_datadir}/locale/es_AR/LC_MESSAGES/tictactoe.mo
%{_datadir}/locale/pt_BR/LC_MESSAGES/hastings.mo
%{_datadir}/locale/pt_BR/LC_MESSAGES/tictactoe.mo

%changelog
* Mon Mar 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk
- from andi payn <payn@myrealbox.com> :
	- complete the Mandrakization process

* Fri Jan 19 2003 Andi Payn <payn@myrealbox.net>
- Updated to 0.0.6
- Minor Mandrakization (no changes to binary packages)

* Fri Apr 12 2002 Rich Gade <rgade@users.sourceforge.net>
- Updated for 0.0.5

* Sun Apr 22 2001 Rich Gade <rgade@users.sourceforge.net>
- Added the pre-uninstall script
- Made included files more explicit where we don't absolutely own the dir
- Added gtk- prefix to dsc files

* Sun Apr 22 2001 Rich Gade <rgade@users.sourceforge.net>
- Initial specification file
